compose_metadata:
  config-hash: 7e7b06caa911fd62945b3aac14c9cacbe42b8a7c63f41284a6a334802d18ac9c
  container-number: '1'
  depends_on: ''
  image: sha256:9d1fe3a9a889c69d0b4febf6affb4a8d90213cc35196e11d379c87a753658ff1
  oneoff: 'False'
  project: appflowy-cloud
  project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  project.working_dir: /home/jon/AppFlowy-Cloud
  replace: 2825ed51189cae306a12f582ec394909948fbbe75c3f003c434868f91dc502c0
  service: redis
  version: 2.33.1
container_id: 945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f
created: '2025-08-19T15:05:34.491539565Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  REDIS_DOWNLOAD_SHA: e2c1cb9dd4180a35b943b85dfc7dcdd42566cdbceca37d0d0b14c21731582d3e
  REDIS_DOWNLOAD_URL: http://download.redis.io/releases/redis-8.2.1.tar.gz
execution:
  cmd:
  - redis-server
  entrypoint:
  - docker-entrypoint.sh
  stop_signal: null
  user: ''
  working_dir: /data
host_system: surface_20250824
image:
  platform: linux
  sha: sha256:9d1fe3a9a889c69d0b4febf6affb4a8d90213cc35196e11d379c87a753658ff1
  tag: redis
labels:
  com.docker.compose.config-hash: 7e7b06caa911fd62945b3aac14c9cacbe42b8a7c63f41284a6a334802d18ac9c
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:9d1fe3a9a889c69d0b4febf6affb4a8d90213cc35196e11d379c87a753658ff1
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: appflowy-cloud
  com.docker.compose.project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  com.docker.compose.project.working_dir: /home/jon/AppFlowy-Cloud
  com.docker.compose.replace: 2825ed51189cae306a12f582ec394909948fbbe75c3f003c434868f91dc502c0
  com.docker.compose.service: redis
  com.docker.compose.version: 2.33.1
name: appflowy-cloud-redis-1
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    appflowy-cloud_default:
      aliases:
      - appflowy-cloud-redis-1
      - redis
      dns_names:
      - appflowy-cloud-redis-1
      - redis
      - 945e7a7870e6
      endpoint_id: 43c60d0293e7b77dd471339d0a737bfc471132af5e14728457ebc565f3cb07c7
      gateway: 172.20.0.1
      global_ipv6_address: ''
      ip_address: 172.20.0.6
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: de:c9:bd:7b:2f:ce
      network_id: 97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c
  publish_all_ports: false
ports:
  bindings: {}
  exposed:
  - 6379/tcp
  published: {}
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: appflowy-cloud_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: on-failure
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_surface_20250824_112825/discovery/2_services/container_appflowy-cloud-redis-1.json
volumes:
  bind_strings: []
  detailed_mounts:
  - destination: /data
    driver: local
    mode: z
    name: 69e0a0fa40952877d5a108115edcd031cd4078e859b8eee84caa644903cc3f11
    propagation: ''
    rw: true
    source: /var/snap/docker/common/var-lib-docker/volumes/69e0a0fa40952877d5a108115edcd031cd4078e859b8eee84caa644903cc3f11/_data
    type: volume
